Blame SOURCES/0044-tests-monitor-use-correct-nft-value-in-EXIT-trap.patch

cf8614
From 4ee4ed8d54a8b9f0f0a2b195b3b95b892e4e79a3 Mon Sep 17 00:00:00 2001
cf8614
From: Phil Sutter <psutter@redhat.com>
cf8614
Date: Tue, 18 May 2021 18:06:50 +0200
cf8614
Subject: [PATCH] tests: monitor: use correct $nft value in EXIT trap
cf8614
MIME-Version: 1.0
cf8614
Content-Type: text/plain; charset=UTF-8
cf8614
Content-Transfer-Encoding: 8bit
cf8614
cf8614
Bugzilla: https://bugzilla.redhat.com/show_bug.cgi?id=1919203
cf8614
Upstream Status: nftables commit 990cbbf75c40b
cf8614
cf8614
commit 990cbbf75c40b92e6d6dc66721dfbedf33cacf8f
cf8614
Author: Štěpán Němec <snemec@redhat.com>
cf8614
Date:   Wed Jan 27 15:02:03 2021 +0100
cf8614
cf8614
    tests: monitor: use correct $nft value in EXIT trap
cf8614
cf8614
    With double quotes, $nft was being expanded to the default value even
cf8614
    in presence of the -H option.
cf8614
cf8614
    Signed-off-by: Štěpán Němec <snemec@redhat.com>
cf8614
    Helped-by: Tomáš Doležal <todoleza@redhat.com>
cf8614
    Acked-by: Phil Sutter <phil@nwl.cc>
cf8614
    Signed-off-by: Phil Sutter <phil@nwl.cc>
cf8614
---
cf8614
 tests/monitor/run-tests.sh | 2 +-
cf8614
 1 file changed, 1 insertion(+), 1 deletion(-)
cf8614
cf8614
diff --git a/tests/monitor/run-tests.sh b/tests/monitor/run-tests.sh
cf8614
index ffb833a..c1cacb4 100755
cf8614
--- a/tests/monitor/run-tests.sh
cf8614
+++ b/tests/monitor/run-tests.sh
cf8614
@@ -19,7 +19,7 @@ if [ ! -d $testdir ]; then
cf8614
 	echo "Failed to create test directory" >&2
cf8614
 	exit 1
cf8614
 fi
cf8614
-trap "rm -rf $testdir; $nft flush ruleset" EXIT
cf8614
+trap 'rm -rf $testdir; $nft flush ruleset' EXIT
cf8614
 
cf8614
 command_file=$(mktemp -p $testdir)
cf8614
 output_file=$(mktemp -p $testdir)
cf8614
-- 
252916
2.31.1
cf8614